# -*- mode: rpm-spec; coding: utf-8 -*-
%define version 2.1
%define release alt3
%define source_version 2.1
%define source_name pyserial
%setup_python_module serial

%def_without doc_package
%def_without win32
%def_without jython

Version: %version
Release: %release.1.1

Summary: Serial port access for python
Summary(ru_RU.UTF-8): Доступ к последовательному порту из python
Name: %packagename
Source: %source_name-%source_version.tar.bz2
License: Python
Group: Development/Python
Prefix: %_prefix
Url: http://pyserial.sf.net

Packager: Igor Zubkov <icesik@altlinux.ru>

Provides: %{__python_module_prefix}-pyserial
Obsoletes: %{__python_module_prefix}-pyserial

%if_without doc_package
Provides: %{__python_module_prefix}-pyserial-doc
Obsoletes: %{__python_module_prefix}-pyserial-doc
%endif

%description
pyserial capsulates the access for the serial port. It provides
backends for standard Python running on Windows, Linux, BSD (possibly
any POSIX compilant system) and Jython. The module automaticaly
selects the appropriate backend.

This module contains POSIX compatible serial port access.
It's built for python %__python_version

%description -l ru_RU.UTF-8
С помощью модулей pyserial можно работать с последовательным портом в
стандартном Python, запущенном на Windows, Linux, BSD (возможно, любой
POSIX-совместимой системе) или Jython. Модуль автоматически выбирает
подходящий для данной системы механизм доступа.

Этот модуль содержит методы доступа к последовательному порту, пригодные
для POSIX-совместимых систем.
Он собран для Python версии %__python_version

%if_with jython
%package jython
Summary: Jython compatible serial port access
Group: Development/Python

%description jython
This module capsulates the access for the serial port. It provides
backends for standard Python running on Windows, Linux, BSD (possibly
any POSIX compilant system) and Jython. The module automaticaly
selects the appropriate backend.

This module contains Jython compatible serial port access.
It's built for python %__python_version
%endif

# Do we really need this?
%if_with win32
%package win32
Summary: Win32-specific serial port access
Group: Development/Python
AutoReqProv: yes, python

%description win32
This module capsulates the access for the serial port. It provides
backends for standard Python running on Windows, Linux, BSD (possibly
any POSIX compilant system) and Jython. The module automaticaly
selects the appropriate backend.

This module contains Win32-specific serial port access.
It's built for python %__python_version
%endif

%if_with doc_package
%package -n python-%modulename-doc
Summary: %modulename documentation and example programs
Summary(ru_RU.UTF-8): Документация по API и примеры программ для %modulename
Group: Development/Python
Prefix: %_prefix
Requires: python-%modulename = %version

%description -n  python-%modulename-doc
%modulename provides portable way to access serial ports in various
systems. Install python-%modulename-doc if you need API documentation
and examples for this module

%description -n  python-%modulename-doc -l ru_RU.UTF-8
%modulename предоставляет унифицированный доступ к последовательному
порту в разных системах. Установите python-%modulename-doc, если Вам
требуется документация по API и примеры программирования с
использованием данного модуля.
%endif

%prep

%setup -q -n %source_name-%source_version

%build
echo "*** Creating package %name ***"
%__python setup.py build

%install
CFLAGS="%optflags" %__python setup.py \
	install --optimize=2 \
		--root=%buildroot \
		--record=INSTALLED_FILES

grep java INSTALLED_FILES > JAVA_INSTALLED_FILES
%__subst '/java/d' INSTALLED_FILES
grep win32 INSTALLED_FILES > WIN32_INSTALLED_FILES
%__subst '/win32/d' INSTALLED_FILES

%files -f INSTALLED_FILES
%doc CHANGES.txt README.txt

%if_with doc_package
%files -n python-%modulename-doc
%endif
%doc examples

%if_with jython
%files jython -f JAVA_INSTALLED_FILES
%endif

%if_with win32
%files win32 -f WIN32_INSTALLED_FILES
%endif

%changelog
* Thu Jan 24 2008 Grigory Batalov <bga@altlinux.ru> 2.1-alt3.1.1
- Rebuilt with python-2.5.

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 2.1-alt3.1
- Rebuilt using rpm-build-python-0.29-alt4.

* Mon Nov 14 2005 Igor Zubkov <icesik@altlinux.ru> 2.1-alt3
- jython subpackage is optional and off by default

* Mon Nov 07 2005 Igor Zubkov <icesik@altlinux.ru> 2.1-alt2
- bump release

* Tue Aug 31 2004 Alexey Morozov <morozov@altlinux.org> 2.1-alt1
- new version (2.1)
- separate doc package is optional now (docs put into the main package
  by default)
- win32 package is optional and off by default

* Mon May 31 2004 Alexey Morozov <morozov@altlinux.org> 2.0-alt3
- Examples are splitted into a separate package

* Tue Apr 20 2004 Alexey Morozov <morozov@altlinux.org> 2.0-alt2
- New build scheme first try

* Wed Jan 14 2004 Alexey Morozov <morozov@altlinux.org> 2.0-alt1
- Initial build for ALT Linux
